<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		david.cifuentes
@description 	Pantalla para la modificación de los datos de la comisión, usada en el caso de uso 175.
@note 			Copia de la pantalla de detalleComisión ajustada para el caso de uso 175.	

-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        id="modificarComisionParaAprobarForm">

    <h:inputText id="itUsedForGettingFocus" size="1" maxlength="1" immediate="true"
                 style="width: 1px;height: 1px;border: 0px;" />
    <p:focus for="itUsedForGettingFocus" id="focusForMessages" transient="true" />


    <p:messages id="msgDetalleComision" showDetail="false"
                globalOnly="false" autoUpdate="false" />

    <h:panelGrid id="detalleComision" width="100%" 
                 rendered="#{aprobacionComisiones.mostrarPanelModificacionComision}">
        <p:focus for="conductorComisionMod" />
        <p:fieldset>
            <legend> <h:outputLabel value="Detalle de la comisión"
                                    styleClass="legendTitle" /> </legend>

            <p:spacer width="20" />
            <h:panelGrid columns="4" width="100%" cellspacing="5" cellpadding="5">

                <h:outputLabel value="Número de comisión: "
                               styleClass="outputLabelStyle" />
                <h:outputText id="numeroComision"
                              value="#{aprobacionComisiones.comisionSeleccionada.numero}"
                              styleClass="outputTextStyle" />

                <h:outputLabel value="Fecha de creación: "
                               styleClass="outputLabelStyle" />
                <h:outputText id="fechaCreacionComision"
                              value="#{aprobacionComisiones.comisionSeleccionada.fechaInicio}"
                              styleClass="outputTextStyle">
                    <f:convertDateTime
                        pattern="#{general.formatoFechaComponenteCalendar}" />
                </h:outputText>

                <h:panelGroup>
                    <h:outputLabel value="Fecha inicio de comisión: "
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGroup>

                <h:panelGroup>
                    <p:calendar id="fechaInicialComision" navigator="true"
                                maxlength="10" size="10"
                                pattern="#{general.formatoFechaComponenteCalendar}" showOn="button"
                                effect="explode" title="#{general.formatoFechaUsuario}"
                                locale="es_CO"
                                value="#{aprobacionComisiones.comisionSeleccionada.fechaInicio}"
                                styleClass="outputLabelStyle" required="true" tabindex="-1"
                                mindate="#{aprobacionComisiones.fechaActual}">
                        <p:ajax event="dateSelect" immediate="true" 
                                listener="#{aprobacionComisiones.cambioFechaInicialComisionListener}"
                                update="duracionComisionAprobarOT, duracionTotalComisionOT" 
                                rendered="#{aprobacionComisiones.isSubprocesoDepuracion}"/>                        
                    </p:calendar>
                    <p:message for="fechaInicialComision" display="icon"
                               id="reqFechaInitCom" />
                </h:panelGroup>

                <h:panelGroup>
                    <h:outputLabel value="Fecha final de comisión: "
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGroup>

                <h:panelGroup>
                    <p:calendar id="fechaFinalComision" navigator="true" maxlength="10"
                                size="10" pattern="#{general.formatoFechaComponenteCalendar}"
                                showOn="both" effect="explode"
                                title="#{general.formatoFechaUsuario}" locale="es_CO"
                                value="#{aprobacionComisiones.comisionSeleccionada.fechaFin}"
                                styleClass="outputLabelStyle" required="true" tabindex="-1"
                                mindate="#{aprobacionComisiones.fechaActual}">
                        <p:ajax event="dateSelect" immediate="true" 
                                listener="#{aprobacionComisiones.cambioFechaFinalComisionListener}"
                                update="duracionComisionAprobarOT, duracionTotalComisionOT" 
                                rendered="#{aprobacionComisiones.isSubprocesoDepuracion}"/>                        
                    </p:calendar>
                    <p:message for="fechaFinalComision" display="icon"
                               id="reqFechaEndCom" />
                </h:panelGroup>

                <h:outputLabel value="Conductor: " styleClass="outputLabelStyle" />
                <p:inputText id="conductorComisionMod"
                             value="#{aprobacionComisiones.comisionSeleccionada.conductor}" />

                <h:outputLabel value="Vehículo: " styleClass="outputLabelStyle" />
                <p:inputMask id="placaVehiculoComisionMod"
                             value="#{aprobacionComisiones.comisionSeleccionada.placaVehiculo}"
                             mask="aaa-999" />

                <h:outputLabel value="Duración de la comisión: "
                               styleClass="outputLabelStyle" />
                <h:outputText id="duracionComisionAprobarOT"
                              value="#{aprobacionComisiones.comisionSeleccionada.duracion} &nbsp; días">
                    <f:convertNumber maxFractionDigits="2" />
                </h:outputText>


                <h:panelGroup rendered="#{!aprobacionComisiones.isSubprocesoDepuracion}">
                    <h:outputLabel value="Duración total de la comisión: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText id="duracionTotalComisionOT"
                                  value="#{aprobacionComisiones.comisionSeleccionada.duracionTotal} &nbsp; días">
                        <f:convertNumber maxFractionDigits="2" />
                    </h:outputText>
                </h:panelGroup>
                <h:panelGroup rendered="#{aprobacionComisiones.isSubprocesoDepuracion}">
                    <p:spacer width="10" height="0"/>
                    <p:spacer width="10" height="0"/>
                </h:panelGroup>



            </h:panelGrid>

            <p:spacer height="10" />

            <h:panelGrid columns="2" width="100%" cellspacing="5" cellpadding="5">
                <h:panelGroup>
                    <h:outputLabel value="Objeto de la comisión: "
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGroup>

                <h:panelGrid columns="2">
                    <h:inputTextarea cols="60" id="objetoComisionMod" required="true"
                                     onkeydown="controlarNroChars(this, 2000, true)"
                                     onkeyup="controlarNroChars(this, 2000, true)"
                                     value="#{aprobacionComisiones.comisionSeleccionada.objeto}" />
                    <p:message for="objetoComisionMod" display="icon"
                               id="reqObjetoComision" />
                </h:panelGrid>

                <h:outputLabel value="Observaciones: " styleClass="outputLabelStyle" />

                <h:panelGrid>
                    <h:inputTextarea cols="60"
                                     value="#{aprobacionComisiones.comisionSeleccionada.observaciones}">
                        <f:validateLength maximum="2000" />
                    </h:inputTextarea>
                </h:panelGrid>

            </h:panelGrid>

            <p:spacer height="20" width="0" />

            <h:panelGrid columns="2" width="100%" cellspacing="5" cellpadding="5">

                <p:dataTable id="ejecutoresComisionDT"
                             value="#{aprobacionComisiones.ejecutoresComision}"
                             var="ejecutorComision" 
                             rowKey="#{ejecutorComision.id}"					
                             selectionMode="single" widgetVar="ecDTWV"
                             selection="#{aprobacionComisiones.selectedEjecutorComision}"
                             paginatorPosition="bottom" paginator="true" rows="5"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15"
                             emptyMessage="No hay resultados para esta búsqueda">

                    <f:facet name="header">
                        Ejecutores asignados a la comisión
                    </f:facet>

                    <p:column headerText="#{aprobacionComisiones.comisionSeleccionada.rolFuncionarioEjecutor}">
                        <h:outputText
                            value="#{ejecutorComision.nombreFuncionarioEjecutor}" 
                            styleClass="outputTextStyleInTable"/>
                    </p:column>

                    <p:column headerText="Municipio">
                        <h:outputText value="#{ejecutorComision.municipio}" 
                                      styleClass="outputTextStyleInTable"/>
                    </p:column>

                    <p:column headerText="Número de trámites">
                        <p:commandLink value="&nbsp;#{ejecutorComision.tramites}&nbsp;"
                                       styleClass="commandLinkStyleInTable"
                                       action="#{aprobacionComisiones.consultarTramitesDelEjecutor}"
                                       onclick="tramitesEjecutorComisionWV.show(); statusDialog2.show();"
                                       update=":tramitesDelEjecutorDeLaComisionForm"
                                       oncomplete="statusDialog2.hide();">
                            <f:setPropertyActionListener
                                target="#{aprobacionComisiones.selectedEjecutorComision}"
                                value="#{ejecutorComision}" />
                        </p:commandLink>

                    </p:column>

                    <p:column headerText="Duración de los trámites (días)">
                        <h:outputText value="#{ejecutorComision.duracion}" 
                                      styleClass="outputTextStyleInTable"/>
                    </p:column>
                </p:dataTable>

                <p:spacer height="10" width="1" />
                <p:outputPanel layout="block" style="text-align: left">
                    <p:commandButton value="Retirar #{aprobacionComisiones.comisionSeleccionada.rolFuncionarioEjecutor}"
                                     icon="ui-icon-minus"
                                     onclick="if (ecDTWV.selection.length === 0) {
                                                 alert('Debe seleccionar un ejecutor para retirar!');
                                                 return false;
                                             }
                                             statusDialog2.show();"
                                     action="#{aprobacionComisiones.retirarEjecutor}"
                                     update="focusForMessages, :modificarComisionParaAprobarForm"
                                     oncomplete="statusDialog2.hide();" />
                </p:outputPanel>

            </h:panelGrid>
            <p:outputPanel layout="block" style="text-align: right">
                <p:commandButton id="guardarCambiosComisionBtn" icon="ui-icon-disk"
                                 value="Guardar cambios"
                                 action="#{aprobacionComisiones.modificarComision}"
                                 update=":modificarComisionParaAprobarForm, :aprobarComisionesForm"
                                 oncomplete="modificarComisionWV.hide()" />
            </p:outputPanel>
        </p:fieldset>
    </h:panelGrid>


    <p:spacer height="10" width="0" />

    <p:outputPanel layout="block" style="text-align: right">
        <p:commandButton value="Cerrar" icon="ui-icon-close"
                         onclick="window.hide();" />
        <p:spacer width="10" height="0" />
    </p:outputPanel>

</h:form>

